#!/bin/bash

# edit things below to reflect your needs:
#
STILLIMAGE_DIR=/tmp/pix
TARGET_DIR=/video/%%GRABBER_TEST/2004-03-08.23:15.15.50.rec

# there should be no need to edit anything below ...
#
jpeg2yuv -b 1000001 -f 25 -I p -j $STILLIMAGE_DIR/still-%07d.jpg  \
	| yuvscaler -O SVCD \
	| mpeg2enc -f 3 -b 2500 -o m2v.vdr
rm -rf $STILLIMAGE_DIR
mplex -f 3 -o 001.vdr m2v.vdr
rm -f m2v.vdr
genindex

mkdir -p $TARGET_DIR
mv 001.vdr index.vdr $TARGET_DIR
