#!/bin/bash

# edit things below to reflect your needs:
#
SLEEP_TIME_IN_SECONDS=1
STILLIMAGE_DIR=/tmp/pix		# will be created automagically

# there should be no need to edit anything below ...
#
count=1000000
maxcount=9999999
#maxcount=1000010

mkdir -p $STILLIMAGE_DIR &>/dev/null

while [ $count -lt $maxcount ] ; do 
	count=$[$count+1]
	svdrpsend.pl grab $STILLIMAGE_DIR/still-$count.jpg jpeg 100
	echo grabbed $count - sleeping $SLEEP_TIME_IN_SECONDS ...
	sleep $SLEEP_TIME_IN_SECONDS
done
